Intelligence Hub
Create Report Video
Generate once from default report Quotes; repeat requests reuse the retained video.
POST
/
api
/
public
/
v1
/
intelligence-hub
/
runs
/
{run_id}
/
report-video
Create Report Video
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledge_unredacted_audio": true
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video"
payload = { "acknowledge_unredacted_audio": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({acknowledge_unredacted_audio: true})
};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acknowledge_unredacted_audio' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video"
payload := strings.NewReader("{\n \"acknowledge_unredacted_audio\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acknowledge_unredacted_audio\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acknowledge_unredacted_audio\": true\n}"
response = http.request(request)
puts response.read_body{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Headers
Choose an organization you belong to for scoped reads, writes, and billing. Users can belong to multiple organizations. Platform administrators may select any organization in this app.
Maximum string length:
128Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I
Create Report Video
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledge_unredacted_audio": true
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video"
payload = { "acknowledge_unredacted_audio": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({acknowledge_unredacted_audio: true})
};
fetch('https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'acknowledge_unredacted_audio' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video"
payload := strings.NewReader("{\n \"acknowledge_unredacted_audio\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"acknowledge_unredacted_audio\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.userintuition.ai/api/public/v1/intelligence-hub/runs/{run_id}/report-video")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"acknowledge_unredacted_audio\": true\n}"
response = http.request(request)
puts response.read_body{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}
